- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# /home/coin/SVN-release/Blis-0.92.0/Clp/src/ClpCholeskyDense.hpp File Reference

`#include "ClpCholeskyBase.hpp"`

Include dependency graph for ClpCholeskyDense.hpp:

Go to the source code of this file.

## Classes
class | ClpCholeskyDense
struct | ClpCholeskyDenseC
## Functions
void | ClpCholeskySpawn (void *)
void | ClpCholeskyCfactor (ClpCholeskyDenseC *thisStruct, longDouble *a, int n, int numberBlocks, longDouble *diagonal, longDouble *work, int *rowsDropped)
| Non leaf recursive factor.
void | ClpCholeskyCtriRec (ClpCholeskyDenseC *thisStruct, longDouble *aTri, int nThis, longDouble *aUnder, longDouble *diagonal, longDouble *work, int nLeft, int iBlock, int jBlock, int numberBlocks)
| Non leaf recursive triangle rectangle update.
void | ClpCholeskyCrecTri (ClpCholeskyDenseC *thisStruct, longDouble *aUnder, int nTri, int nDo, int iBlock, int jBlock, longDouble *aTri, longDouble *diagonal, longDouble *work, int numberBlocks)
| Non leaf recursive rectangle triangle update.
void | ClpCholeskyCrecRec (ClpCholeskyDenseC *thisStruct, longDouble *above, int nUnder, int nUnderK, int nDo, longDouble *aUnder, longDouble *aOther, longDouble *work, int iBlock, int jBlock, int numberBlocks)
| Non leaf recursive rectangle rectangle update, nUnder is number of rows in iBlock, nUnderK is number of rows in kBlock.
void | ClpCholeskyCfactorLeaf (ClpCholeskyDenseC *thisStruct, longDouble *a, int n, longDouble *diagonal, longDouble *work, int *rowsDropped)
| Leaf recursive factor.
void | ClpCholeskyCtriRecLeaf (longDouble *aTri, longDouble *aUnder, longDouble *diagonal, longDouble *work, int nUnder)
| Leaf recursive triangle rectangle update.
void | ClpCholeskyCrecTriLeaf (longDouble *aUnder, longDouble *aTri, longDouble *work, int nUnder)
| Leaf recursive rectangle triangle update.
void | ClpCholeskyCrecRecLeaf (const longDouble *COIN_RESTRICT above, const longDouble *COIN_RESTRICT aUnder, longDouble *COIN_RESTRICT aOther, const longDouble *COIN_RESTRICT work, int nUnder)
| Leaf recursive rectangle rectangle update, nUnder is number of rows in iBlock, nUnderK is number of rows in kBlock.

## Function Documentation

void ClpCholeskySpawn | ( | void * |  | ) |

void ClpCholeskyCfactor | ( | ClpCholeskyDenseC * | thisStruct,
|  | longDouble * | a,
|  | int | n,
|  | int | numberBlocks,
|  | longDouble * | diagonal,
|  | longDouble * | work,
|  | int * | rowsDropped |
| ) |  |  |

Non leaf recursive factor.

void ClpCholeskyCtriRec | ( | ClpCholeskyDenseC * | thisStruct,
|  | longDouble * | aTri,
|  | int | nThis,
|  | longDouble * | aUnder,
|  | longDouble * | diagonal,
|  | longDouble * | work,
|  | int | nLeft,
|  | int | iBlock,
|  | int | jBlock,
|  | int | numberBlocks |
| ) |  |  |

Non leaf recursive triangle rectangle update.

void ClpCholeskyCrecTri | ( | ClpCholeskyDenseC * | thisStruct,
|  | longDouble * | aUnder,
|  | int | nTri,
|  | int | nDo,
|  | int | iBlock,
|  | int | jBlock,
|  | longDouble * | aTri,
|  | longDouble * | diagonal,
|  | longDouble * | work,
|  | int | numberBlocks |
| ) |  |  |

Non leaf recursive rectangle triangle update.

void ClpCholeskyCrecRec | ( | ClpCholeskyDenseC * | thisStruct,
|  | longDouble * | above,
|  | int | nUnder,
|  | int | nUnderK,
|  | int | nDo,
|  | longDouble * | aUnder,
|  | longDouble * | aOther,
|  | longDouble * | work,
|  | int | iBlock,
|  | int | jBlock,
|  | int | numberBlocks |
| ) |  |  |

Non leaf recursive rectangle rectangle update, nUnder is number of rows in iBlock, nUnderK is number of rows in kBlock.

void ClpCholeskyCfactorLeaf | ( | ClpCholeskyDenseC * | thisStruct,
|  | longDouble * | a,
|  | int | n,
|  | longDouble * | diagonal,
|  | longDouble * | work,
|  | int * | rowsDropped |
| ) |  |  |

Leaf recursive factor.

void ClpCholeskyCtriRecLeaf | ( | longDouble * | aTri,
|  | longDouble * | aUnder,
|  | longDouble * | diagonal,
|  | longDouble * | work,
|  | int | nUnder |
| ) |  |  |

Leaf recursive triangle rectangle update.

void ClpCholeskyCrecTriLeaf | ( | longDouble * | aUnder,
|  | longDouble * | aTri,
|  | longDouble * | work,
|  | int | nUnder |
| ) |  |  |

Leaf recursive rectangle triangle update.

void ClpCholeskyCrecRecLeaf | ( | const longDouble *COIN_RESTRICT | above,
|  | const longDouble *COIN_RESTRICT | aUnder,
|  | longDouble *COIN_RESTRICT | aOther,
|  | const longDouble *COIN_RESTRICT | work,
|  | int | nUnder |
| ) |  |  |

Leaf recursive rectangle rectangle update, nUnder is number of rows in iBlock, nUnderK is number of rows in kBlock.